Package jgromacs.data

# Class Angle

java.lang.Object
jgromacs.data.Angle

All Implemented Interfaces:
  `Cloneable`

public class Angle extends Object implements Cloneable
Objects of this class represent an angle

## Constructor Summary

Constructors
Constructor
Description
`Angle()`
Constructs a new Angle object
`Angle(double valueInDegrees)`
Constructs a new Angle object of given value in degrees

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Returns an identical Angle object
`boolean`
`equals(Object other)`
Returns true if the two angles are identical
`double`
`getInDegrees()`
Returns the value of angle in degrees
`double`
`getInRadians()`
Returns the value of angle in radians
`int`
`hashCode()`
Returns hash code
`void`
`setInDegrees(double valueInDegrees)`
Sets the value of angle in degrees
`void`
`setInRadians(double valueInRadians)`
Sets the value of angle in radians
`String`
`toString()`
Returns the String representation of angle

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Angle

public Angle()
Constructs a new Angle object

### Angle

public Angle(double valueInDegrees)
Constructs a new Angle object of given value in degrees

Parameters:
  `valueInDegrees` - value in degrees

## Method Details

### getInDegrees

public double getInDegrees()
Returns the value of angle in degrees

Returns:
  value in degrees

### getInRadians

public double getInRadians()
Returns the value of angle in radians

Returns:
  value in radians

### setInDegrees

public void setInDegrees(double valueInDegrees)
Sets the value of angle in degrees

Parameters:
  `valueInDegrees` - value in degrees

### setInRadians

public void setInRadians(double valueInRadians)
Sets the value of angle in radians

Parameters:
  `valueInRadians` - value in radians

### equals

public boolean equals(Object other)
Returns true if the two angles are identical

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the other angle

### hashCode

public int hashCode()
Returns hash code

Overrides:
  `hashCode` in class `Object`

### clone

public Object clone()
Returns an identical Angle object

Overrides:
  `clone` in class `Object`
Returns:
  clone of the angle

### toString

public String toString()
Returns the String representation of angle

Overrides:
  `toString` in class `Object`
Returns:
  String representation